import jcontrol.ui.vole.Frame;
import jcontrol.ui.vole.List;
import jcontrol.ui.vole.TextArea;

/**
 * <p>This example demonstrates how to use the
 * components List and TextArea within the GUI
 * framework JControl/Vole.</p>
 *
 * <p>(C) DOMOLOGIC Home Automation GmbH 2003-2005</p>
 */
public class VoleListTextareaExample extends Frame {
  
  /**
   * Create a List and a TextArea.
   */
  public VoleListTextareaExample() {
    // create a list with some entries
    List l = new List(0, 0, 128, 31, true);
    l.add("North");
    l.add("South");
    l.add("East");
    l.add("West");
    l.add("North-East");
    l.add("North-West");
    l.add("South-East");
    l.add("South-West");
    this.add(l);
    
    // create a TextArea
    TextArea ta = new TextArea(new String[]{"The TextArea", 
                                             "can be filled",
                                             "up with nonsense",
                                             "and nobody really",
                                             "cares about it."},
                               0, 32, 128, 32, true);
    this.add(ta);
  }

  /**
   * Instantiate the VoleListTextareaExample
   */
  public static void main(String[] args) {
    new VoleListTextareaExample().show();
  }
}
